package com.ywt.outpatient.domain.models.enums;

/**
 * 消息模板类型
 */
public enum MsgTplTypeEnum {
    RETURN_VISIT("复诊提醒", 1),
    MEDICATION("用药提醒", 2),
    QUESTIONNAIRE("问诊表", 3),
    NO_NEED("无须随访", 4);

    private final String displayName;

    private final int value;

    MsgTplTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static MsgTplTypeEnum valueOf(int value){
        for(MsgTplTypeEnum e : MsgTplTypeEnum.values()){
            if(value == e.getValue()){
                return e;
            }
        }

        return null;
    }
}
